# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PColgp_FieldOfHArray1OfXY Class Reference

`#include <ShapeSchema_PColgp_FieldOfHArray1OfXY.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PColgp_FieldOfHArray1OfXY &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PColgp_FieldOfHArray1OfXY &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PColgp_FieldOfHArray1OfXY &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray1OfXY::SAdd | ( | const PColgp_FieldOfHArray1OfXY & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray1OfXY::SRead | ( | PColgp_FieldOfHArray1OfXY & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray1OfXY::SWrite | ( | const PColgp_FieldOfHArray1OfXY & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PColgp_FieldOfHArray1OfXY.hxx